
/*

CLASS {Source|_of_class_NEW}, UNTESTED :

IMPORT: {Compiler}, {Parser}, {Text_parser}, {Type}, {Load_source} ;
IMPORT: {String_functions} ;
        
BOOL Remove_comments
BOOL Check_len|_lines
BOOL Encoding_ascii

METHOD Load|_source(
    {Type} Class|_this,
    {Compiler} C|ompiler)
    :
    PUSH C.Current_class = Class :
        CASE C.Verbose2 ? << "loading (" Check_len.S ")..." ;
        
        Class.Parse = {Parser}(Compiler_ = C, Class_ = Class, 
        	Warning_80= C.Warning_80)
        	
        CASE Class.Path != "" ?
        	 Class.Parse.Full_path = Class.Path ;
        
        CASE Encoding_ascii ?
             {String_functions}.{encoding} e|ncoding = 'ASCII'
        ELSE e = 'UTF8' ;
        Fast_load_text(Class.Parse.Source[], Class.Path, e)

        CASE Remove_comments ?
        	 INT last|_line = Class.Parse.Remove_comments ;
        CASE Check_len ?
	         ------------------------------ 'need post work'
	         CASE C.Verbose2 ? << "loaded, checking..." ;
	         PUSH C.Current_class = Class :     
	         	  Class.Parse.Check_lines_len(last) ;
        ;
    ; .


END

*/
